twitter4j.api

## Interface TimelinesResources

All Known Subinterfaces:
  Twitter

    public interface TimelinesResources

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseList<Status>` `getHomeTimeline()` Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends.
`ResponseList<Status>` `getHomeTimeline(Paging paging)` Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends.
`ResponseList<Status>` `getMentionsTimeline()` Returns the 20 most recent mentions (tweets containing a users's @screen_name) for the authenticating user. The timeline returned is the equivalent of the one seen when you view your mentions on twitter.com. This method can only return up to 800 tweets. See Working with Timelines for instructions on traversing timelines.
`ResponseList<Status>` `getMentionsTimeline(Paging paging)` Returns the 20 most recent mentions (tweets containing a users's @screen_name) for the authenticating user. The timeline returned is the equivalent of the one seen when you view your mentions on twitter.com. This method can only return up to 800 tweets. See Working with Timelines for instructions on traversing timelines.
`ResponseList<Status>` `getRetweetsOfMe()` Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
`ResponseList<Status>` `getRetweetsOfMe(Paging paging)` Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
`ResponseList<Status>` `getUserTimeline()` Returns the 20 most recent statuses posted from the authenticating user.
`ResponseList<Status>` `getUserTimeline(long userId)` Returns the 20 most recent statuses posted from the authenticating user.
`ResponseList<Status>` `getUserTimeline(long userId, Paging paging)` Returns the 20 most recent statuses posted from the authenticating user.
`ResponseList<Status>` `getUserTimeline(Paging paging)` Returns the 20 most recent statuses posted from the authenticating user.
`ResponseList<Status>` `getUserTimeline(String screenName)` Returns the 20 most recent statuses posted from the authenticating user.
`ResponseList<Status>` `getUserTimeline(String screenName, Paging paging)` Returns the 20 most recent statuses posted from the authenticating user.

### Method Detail

#### getMentionsTimeline

    ResponseList<Status> getMentionsTimeline()
                                      throws TwitterException

Returns the 20 most recent mentions (tweets containing a users's @screen_name) for the authenticating user.
The timeline returned is the equivalent of the one seen when you view your mentions on twitter.com.
This method can only return up to 800 tweets.
See Working with Timelines for instructions on traversing timelines.
This method calls https://api.twitter.com/1.1/statuses/mentions_timeline

Returns:
  the 20 most recent replies
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET statuses/mentions | Twitter Developers

#### getMentionsTimeline

    ResponseList<Status> getMentionsTimeline(Paging paging)
                                      throws TwitterException

Returns the 20 most recent mentions (tweets containing a users's @screen_name) for the authenticating user.
The timeline returned is the equivalent of the one seen when you view your mentions on twitter.com.
This method can only return up to 800 tweets.
See Working with Timelines for instructions on traversing timelines.
This method calls https://api.twitter.com/1.1/statuses/mentions_timeline

Parameters:
  `paging` - controls pagination. Supports since_id, max_id, zcount parameters.
Returns:
  the 20 most recent replies
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET statuses/mentions | Twitter Developers

#### getUserTimeline

    ResponseList<Status> getUserTimeline(String screenName,
                                         Paging paging)
                                  throws TwitterException

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline.json

Parameters:
  `screenName` - specifies the screen name of the user for whom to return the user_timeline
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  list of the user Timeline
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    ResponseList<Status> getUserTimeline(long userId,
                                         Paging paging)
                                  throws TwitterException

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline.json

Parameters:
  `userId` - specifies the ID of the user for whom to return the user_timeline
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  list of the user Timeline
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    ResponseList<Status> getUserTimeline(String screenName)
                                  throws TwitterException

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `screenName` - specifies the screen name of the user for whom to return the user_timeline
Returns:
  the 20 most recent statuses posted in the last 24 hours from the user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    ResponseList<Status> getUserTimeline(long userId)
                                  throws TwitterException

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `userId` - specifies the ID of the user for whom to return the user_timeline
Returns:
  the 20 most recent statuses posted in the last 24 hours from the user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    ResponseList<Status> getUserTimeline()
                                  throws TwitterException

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Returns:
  the 20 most recent statuses posted in the last 24 hours from the user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getUserTimeline

    ResponseList<Status> getUserTimeline(Paging paging)
                                  throws TwitterException

Returns the 20 most recent statuses posted from the authenticating user. It's also possible to request another user's timeline via the id parameter.
This is the equivalent of the Web / page for your own user, or the profile page for a third party.
For backwards compatibility reasons, retweets are stripped out of the user_timeline when calling in XML or JSON (they appear with 'RT' in RSS and Atom). If you'd like them included, you can merge them in from statuses retweeted_by_me.
This method calls https://api.twitter.com/1.1/statuses/user_timeline

Parameters:
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  the 20 most recent statuses posted in the last 24 hours from the user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.1
See Also:
  GET statuses/user_timeline | Twitter Developers

#### getHomeTimeline

    ResponseList<Status> getHomeTimeline()
                                  throws TwitterException

Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends. This is the equivalent of /timeline/home on the Web.
Usage note: This home_timeline call is identical to statuses/friends_timeline, except that home_timeline also contains retweets, while statuses/friends_timeline does not for backwards compatibility reasons. In a future version of the API, statuses/friends_timeline will be deprected and replaced by home_timeline.
This method calls https://api.twitter.com/1.1/statuses/home_timeline

Returns:
  list of the home Timeline
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/home_timeline | Twitter Developers

#### getHomeTimeline

    ResponseList<Status> getHomeTimeline(Paging paging)
                                  throws TwitterException

Returns the 20 most recent statuses, including retweets, posted by the authenticating user and that user's friends. This is the equivalent of /timeline/home on the Web.
Usage note: This home_timeline call is identical to statuses/friends_timeline, except that home_timeline also contains retweets, while statuses/friends_timeline does not for backwards compatibility reasons. In a future version of the API, statuses/friends_timeline will be deprected and replaced by home_timeline.
This method calls https://api.twitter.com/1.1/statuses/home_timeline

Parameters:
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  list of the home Timeline
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/home_timeline | Twitter Developers

#### getRetweetsOfMe

    ResponseList<Status> getRetweetsOfMe()
                                  throws TwitterException

Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
This method calls https://api.twitter.com/1.1/statuses/retweets_of_me.json

Returns:
  the 20 most recent tweets of the authenticated user that have been retweeted by others.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/retweets_of_me | Twitter Developers

#### getRetweetsOfMe

    ResponseList<Status> getRetweetsOfMe(Paging paging)
                                  throws TwitterException

Returns the 20 most recent tweets of the authenticated user that have been retweeted by others.
This method calls https://api.twitter.com/1.1/statuses/retweets_of_me.json

Parameters:
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  the 20 most recent tweets of the authenticated user that have been retweeted by others.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.10
See Also:
  GET statuses/retweets_of_me | Twitter Developers